Package com.usatiuk.utils

# Class SerializationHelper

java.lang.Object
com.usatiuk.utils.SerializationHelper

public abstract class SerializationHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`SerializationHelper()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`deserialize(byte[] objectData)`
`static <T> T`
`deserialize(byte[] objectData, int offset)`
`static <T> T`
`deserialize(InputStream inputStream)`
`static <T extends Serializable>
com.google.protobuf.ByteString`
`serialize(T obj)`
`static <T extends Serializable>
byte[]`
`serializeArray(T obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerializationHelper

public SerializationHelper()

## Method Details

### deserialize

public static <T> T deserialize(InputStream inputStream)

### deserialize

public static <T> T deserialize(byte[] objectData, int offset)

### deserialize

public static <T> T deserialize(byte[] objectData)

### serializeArray

public static <T extends Serializable> byte[] serializeArray(T obj)

### serialize

public static <T extends Serializable> com.google.protobuf.ByteString serialize(T obj)